Kerbal Space Program - Bug #9685

Main menu clicks don't register is mouse button held
05/04/2016 10:31 PM - mpurgar

Status: Needs Clarification Start date: 05/04/2016
Severity: Unworthy % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Steps to Replicate:
Click and hold mouse button on any main menu (or "Start game" menu) choice for more than ~1/2 second.

Expected:
Click should register regardless of how long the mouse button is held (trigger on mouse-up event)

Result/Observed:
Mouse click does not register unless the click is fairly rapid (< 1/2 sec)

Note:
Menu graphics respond properly regardless of click duration.

Verified this is a bug in:
1.1.0.1230 Win 64 and 32 bit
1.1.2.1260 Win 64 and 32 bit (Fresh out-of-the-ZIP install)

History

#1 - 05/04/2016 11:25 PM - smjjames

Not sure why you need to click and hold for more than a second....

#2 - 05/04/2016 11:59 PM - mpurgar

smjjames wrote:

Not sure why you need to click and hold for more than a second....

| stumbled upon it by accident, clicking very deliberately in order to help synch a screen capture video with separate microphone audio. Yes, it's very
unlikely anyone would notice and even less likely anyone would care... hence "Unworthy" priority. Still a bug, though, so I'm doing my civic duty!

#3 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification
